Name:           ocaml-mm
Version:        0.3.1
Release:        %mkrel 10
Summary:        OCaml library for performing operations on multimedia contents
License:        LGPLv2 with OCaml linking exception
Group:          Development/OCaml
URL:            https://github.com/savonet/ocaml-mm/
Source0:        https://github.com/savonet/ocaml-mm/archive/%{version}.tar.gz
# fix missing files (submodule):
Source1:        https://github.com/savonet/m4/archive/4462789c5a4bb4633ecd993f2240046cb8c46de5.zip
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-alsa-devel
BuildRequires:  ocaml-ao-devel
BuildRequires:  ocaml-gstreamer-devel
BuildRequires:  ocaml-mad-devel
BuildRequires:  ocaml-ogg-devel
BuildRequires:  ocaml-theora-devel
BuildRequires:  ocaml-sdl-devel
BuildRequires:  libffmpeg-devel
BuildRequires:  libv4l-devel

%description
ocaml-mm is a library dedicated to performing operations on multimedia
contents. It is designed as a pure ocaml library (ie no dependencies
are required).

Some extensions requiring bindings to various libraries are located in
the external/ directory.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -a1
%autopatch -p1
# fix missing files (submodule):
rmdir m4; mv m4-* m4
./bootstrap

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir}

make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/mm
make install

%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/mm
%{_libdir}/ocaml/mm/META
%{_libdir}/ocaml/mm/*.cmi
%{_libdir}/ocaml/mm/*.cma
%{_libdir}/ocaml/mm/*.cmo
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html/
%doc examples/
%{_libdir}/ocaml/mm/*.a
%{_libdir}/ocaml/mm/*.cmxa
%{_libdir}/ocaml/mm/*.cmx
%{_libdir}/ocaml/mm/*.mli


%changelog
* Thu May 19 2022 pterjan <pterjan> 0.3.1-10.mga9
+ Revision: 1859107
- Rebuild for OCaml 4.14

* Mon Apr 04 2022 umeabot <umeabot> 0.3.1-9.mga9
+ Revision: 1843799
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.3.1-8.mga9
+ Revision: 1751058
- Rebuild for ocaml 4.13.1

* Sun Jan 10 2021 pterjan <pterjan> 0.3.1-7.mga9
+ Revision: 1670754
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.3.1-6.mga8
+ Revision: 1551488
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.3.1-5.mga8
+ Revision: 1544554
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.3.1-4.mga8
+ Revision: 1483265
- rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 0.3.1-3.mga7
+ Revision: 1324620
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.3.1-2.mga7
+ Revision: 1299897
- Mageia 7 Mass Rebuild

* Tue Dec 05 2017 tv <tv> 0.3.1-1.mga7
+ Revision: 1181356
- new release
- new URL
- fix missing files
- fix build
- rebuild for new ocaml

* Thu Oct 12 2017 daviddavid <daviddavid> 0.2.1-9.mga7
+ Revision: 1171138
- patch0: use standard ISO C99 types uint{32,64}_t

* Tue May 02 2017 akien <akien> 0.2.1-8.mga6
+ Revision: 1098315
- Rebuild for ffmpeg 3.3

* Fri Mar 10 2017 akien <akien> 0.2.1-7.mga6
+ Revision: 1091629
- Rebuild for v4l-utils 1.12.3

* Wed Feb 17 2016 umeabot <umeabot> 0.2.1-6.mga6
+ Revision: 964155
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-5.mga5
+ Revision: 739081
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-4.mga5
+ Revision: 683068
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-3.mga4
+ Revision: 535759
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 malo <malo> 0.2.1-2.mga4
+ Revision: 482433
- rebuild for new ocaml

* Fri Aug 30 2013 blue_prawn <blue_prawn> 0.2.1-1.mga4
+ Revision: 473459
- updated to last version 0.2.1

* Thu Jan 17 2013 pterjan <pterjan> 0.2.0-4.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-4.mga3
+ Revision: 361491
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 malo <malo> 0.2.0-3.mga3
+ Revision: 308266
- rebuild for ocaml-4.0.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.0-2.mga3
+ Revision: 301672
- new rpm group for ocaml

* Sat Aug 25 2012 blue_prawn <blue_prawn> 0.2.0-1.mga3
+ Revision: 284003
- imported package ocaml-mm

